TokenControllerGetAssociatedTokenDataType Method |
GET /Token/AttributeToken/{id}
Gets the data type of an attribute token.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("AttributeToken")]
public IActionResult GetAssociatedTokenDataType(
Guid id,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("AttributeToken")>
Public Function GetAssociatedTokenDataType (
id As Guid,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"AttributeToken")]
IActionResult^ GetAssociatedTokenDataType(
Guid id,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("AttributeToken")>]
member GetAssociatedTokenDataType :
id : Guid *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the token. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A status code indicating success or failure.
If successful, the string representation of the data type.
See Also